unit Main;

interface

uses
  Graphics, Controls, Forms, StdCtrls, ExtCtrls,
  Classes,buttons,
  IdAntiFreezeBase, IdAntiFreeze, IdBaseComponent, IdComponent, IdTCPConnection,
  IdTCPClient,LResources,
  SysUtils;

type
  TformMain = class(TForm)
    Panel1: TPanel;
    memoInput: TMemo;
    Panel2: TPanel;
    lboxResults: TListBox;
    Panel3: TPanel;
    Label1: TLabel;
    butnLookup: TButton;
    butnClear: TButton;
    Client: TIdTCPClient;
    IdAntiFreeze1: TIdAntiFreeze;
    procedure butnClearClick(Sender: TObject);
    procedure butnLookupClick(Sender: TObject);
  private
  public
  end;
  
var
  formMain: TformMain;

implementation


procedure TformMain.butnClearClick(Sender: TObject);
begin
  memoInput.Clear;
  lboxResults.Clear;
end;

procedure TformMain.butnLookupClick(Sender: TObject);
var
  i: integer;
begin
  butnLookup.Enabled := False; try
    lboxResults.Clear;
    with Client do begin
      Connect; try
        // Read the welcome message
        GetResponse(200);
        lboxResults.Items.AddStrings(LastCmdResult.Text);
        lboxResults.Items.Add('');
        // Submit each zip code and read the result
        for i := 0 to memoInput.Lines.Count - 1 do begin
          SendCmd('Lookup ' + memoInput.Lines[i], 201);
          IOHandler.Capture(lboxResults.Items);
          lboxResults.Items.Add('');
        end;
        SendCmd('Quit', 202);
      finally Disconnect; end;
    end;
  finally butnLookup.Enabled := True; end;
end;

initialization
 {$i main.lrs}

end.
